Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
WGPUCopyTextureForBrowserOptions Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes
WGPUChainedStruct const * | nextInChain
WGPUBool | flipY
WGPUBool | needsColorSpaceConversion
WGPUAlphaMode | srcAlphaMode
WGPU_NULLABLE float const * | srcTransferFunctionParameters
WGPU_NULLABLE float const * | conversionMatrix
WGPU_NULLABLE float const * | dstTransferFunctionParameters
WGPUAlphaMode | dstAlphaMode
WGPUBool | internalUsage

## Detailed Description

Definition at line 1122 of file mini_webgpu.h.

## Member Data Documentation

## ◆ nextInChain

WGPUChainedStruct const* WGPUCopyTextureForBrowserOptions::nextInChain

Definition at line 1123 of file mini_webgpu.h.

## ◆ flipY

WGPUBool WGPUCopyTextureForBrowserOptions::flipY

Definition at line 1124 of file mini_webgpu.h.

## ◆ needsColorSpaceConversion

WGPUBool WGPUCopyTextureForBrowserOptions::needsColorSpaceConversion

Definition at line 1125 of file mini_webgpu.h.

## ◆ srcAlphaMode

WGPUAlphaMode WGPUCopyTextureForBrowserOptions::srcAlphaMode

Definition at line 1126 of file mini_webgpu.h.

## ◆ srcTransferFunctionParameters

WGPU_NULLABLE float const* WGPUCopyTextureForBrowserOptions::srcTransferFunctionParameters

Definition at line 1127 of file mini_webgpu.h.

## ◆ conversionMatrix

WGPU_NULLABLE float const* WGPUCopyTextureForBrowserOptions::conversionMatrix

Definition at line 1128 of file mini_webgpu.h.

## ◆ dstTransferFunctionParameters

WGPU_NULLABLE float const* WGPUCopyTextureForBrowserOptions::dstTransferFunctionParameters

Definition at line 1129 of file mini_webgpu.h.

## ◆ dstAlphaMode

WGPUAlphaMode WGPUCopyTextureForBrowserOptions::dstAlphaMode

Definition at line 1130 of file mini_webgpu.h.

## ◆ internalUsage

WGPUBool WGPUCopyTextureForBrowserOptions::internalUsage

Definition at line 1131 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h